/*
Sovelluksen pääkomponentin luokkaosa. Komponentin määritykset
ovat @Component()-dekoraattoriluokan argumenttina olevassa oliossa.

Määritysoliossa olevaan imports-taulukkoon laitetaan
komponentin riippuvuudet, joita voivat olla muut komponentit tai 
ohjelmakirjastot, joita tässä komponentissa käytetään.
*/
import { Component } from '@angular/core';
import { HelloComponent } from './hello/hello.component';
import { HelloBindingsComponent } from './hello-bindings/hello-bindings.component';
import { HelloDiComponent } from './hello-di/hello-di.component';
import { HelloEditIfComponent } from './hello-edit-if/hello-edit-if.component';

@Component({
  selector: 'app-root', // komponentin tagi
  standalone: true, // komponentti ei kuulu moduuliin
  // komponentin riippuvuudet
  imports: [
    HelloComponent,
    HelloBindingsComponent,
    HelloDiComponent,
    HelloEditIfComponent
  ], 
  templateUrl: './app.component.html', // komponentin HTML-osa
  styleUrl: './app.component.css', // komponentin CSS-osa
})
// Varsinainen TS-luokka alkaa tästä
export class AppComponent {
  // Luokassa on vain yksi muuttuja eli ominaisuus (property)
  // Tyyppi on automaattisesti string
  title = 'Angularin perusteita';
}
