import { Component } from '@angular/core';
import { Logger } from '../logger.service';

/*
Servicet ovat tärkeä osa Angularin arkkitehtuuria. Ne ovat
luokkia, jotka ovat omassa tiedostossaan (tässä logger.service.ts). 
Servicet voivat tarjota palveluita kaikille komponenteille ja muillekin
Angularin rakenneosille. Eli ne ovat yhteisesti jaettua koodia.
*/

@Component({
  selector: 'app-hello-di',
  standalone: true,
  imports: [],
  templateUrl: './hello-di.component.html',
  styleUrl: './hello-di.component.css',
})
export class HelloDiComponent {
  count = 0;
  /*
  Logger-service otetaan käyttöön dependency injectionilla.
  Eli logger-niminen singleton-olio syntyy Logger-luokasta 
  automaattisesti, kun se esitellään konstruktorin argumenttina. 
  */
  constructor(private logger: Logger) {}

  onLogMe() {
    this.count++;
    // logCountToConsole-metodi tulee logger-servicestä.
    // se loggaa count-propertyssä olevan numeron konsoliin
    this.logger.logCountToConsole(this.count);
  }
}
