import { Component } from '@angular/core';
/*
Tässä komponentissa HTML-osa on samassa tiedostossa 
luokkaosan kanssa. Yleensä näin ei ole, vaan HTML-osa
on omassa tiedostossaan ja siihen viitataan:
templateUrl: './helloworld.component.html'
Sama pätee CSS-osaan. Kts. muut komponentit.

Komponentissa demotaan luokan muuttujan esittämistä 
HTML-templaatissa eli interpolation bindigia, joka on
Angularin yleisin data binding.
*/
@Component({
  selector: 'app-hello',
  standalone: true,
  imports: [],
  //templateUrl: './hello-world.component.html'
  template: `
    <h2>Hello</h2>
    <p>This is interpolation binding:</p>
    <!-- Muuttuja on bindattu templaattiin -->
    <p>{{ message }}</p>
  `,
  //styleUrl: './hello-world.component.css'
  styles: `:host {
    background-color: rgb(225, 225, 253);
    display: block;
  }`,
})
// Luokassa on komponentin TS-koodi eli sovelluslogiikka.
export class HelloComponent {
  // Tässä luokassa määrittellään vain yksi muuttuja.
  // Tyyppi on automaattisesti string, sijoituksen perusteella.
  message = 'Hello, World';
}
